/eventAlertConditionRules

List the configured event alert condition rules in the account. Parameters can be used to filter the rules based on the actor, name, and enabled status. A list of the availible field values for each field can be fetched using the listFieldValues endpoint.

Query Params
actor
array of strings

Filter to get only event alert rules where the actorType and actorId value equals any one of the supplied value in the list. For each entry of list, the actor type has to be prefixed along with actor id like actorType:actorId. For example, to filter for camera with id 100d4c41, the actorId that has to be used is camera:100d4c41. To search for event alert rules for a specific type of actor, for example switch, use a wildcard as actorId: switch:*.

actor
string

Phrase that is used to search for rule whose names contain it

boolean

Filter against enabled rules (when set to true) or disabled rules (when set to false)

eventFilter.eventTypes__contains
array of strings

Filter to only include results that contain all the specified event types.

eventFilter.eventTypes__contains
eventFilter.eventTypes__in
array of strings

Filter to only include results that contain one of the specified event types.

eventFilter.eventTypes__in
integer
0 to 10

Filter by priority__gte

integer
0 to 10

Filter by priority__lte

string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json